Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
ps2 homebrew development tools need to be updated
#1
GCC 3.2.3 and binutils 2.14 are very old versions of those tools... (GCC 5.2 and binutils 2.25 are the latest versions now)
Also, these older build tools will fail to compile with newer compilers. (You need old versions of tools to compile these old tools!)
https://github.com/ps2dev/ps2toolchain

There's a lot of usage of invalid lvalue assignments and other old compiler bug usage in ps2sdk, which prevents compiling on modern compilers...
https://github.com/ps2dev/ps2sdk

If there will be a PS2 bios replacement (like fps2bios), PS2 homebrew tools need to be cleaned up and updated.

Other homebrew projects like uLaunchELF, GS Mode Selector, Open PS2 Loader, and others also rely on these tools.
Reply

Sponsored links





Users browsing this thread: 1 Guest(s)